org.apache.poi.hssf.record

## Class NameCommentRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.NameCommentRecord

- All Implemented Interfaces:
    Duplicatable

      public final class NameCommentRecord
      extends StandardRecord

  Defines a comment associated with a specified name.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameCommentRecord(NameCommentRecord other)`
    `NameCommentRecord(RecordInputStream ris)`
    `NameCommentRecord(java.lang.String name, java.lang.String comment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NameCommentRecord` | `copy()`
    `java.lang.String` | `getCommentText()`
    `protected int` | `getDataSize()`
    `java.lang.String` | `getNameText()`
    `short` | `getRecordType()`
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCommentText(java.lang.String comment)`
    `void` | `setNameText(java.lang.String newName)` Updates the name we're associated with, normally used when renaming that Name
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NameCommentRecord

          public NameCommentRecord(NameCommentRecord other)

    - #### NameCommentRecord

          public NameCommentRecord(java.lang.String name,
                                   java.lang.String comment)

    - #### NameCommentRecord

          public NameCommentRecord(RecordInputStream ris)

      Parameters:
        `ris` - the RecordInputstream to read the record from

  - ### Method Detail

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### getNameText

          public java.lang.String getNameText()

      Returns:
        the name of the NameRecord to which this comment applies.

    - #### setNameText

          public void setNameText(java.lang.String newName)

      Updates the name we're associated with, normally used when renaming that Name
      Parameters:
        `newName` - the new name

    - #### getCommentText

          public java.lang.String getCommentText()

      Returns:
        the text of the comment.

    - #### setCommentText

          public void setCommentText(java.lang.String comment)

    - #### getRecordType

          public short getRecordType()

    - #### copy

          public NameCommentRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.